> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/17.-foresporgsel-hent-soildatasets.md).

# 17. Forespørgsel: Hent "SoilDatasets"

Hent alle "SoilDatasets" for det valgte "Field". Datasæt kan hentes ved hjælp af generiske GraphQL-forespørgsler som `getFarms` og `getFields` fra det tilknyttede "Field".&#x20;

{% hint style="warning" %}
Et "SoilDataset" skal være uploadet på forhånd.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #mønster "<OperationType> <YYYY-mm-DD>"
        operationId #hvis findes
        number #samlet antal geofunktioner
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #hvis findes
          unit #hvis findes
        }

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationType
        operationId
        operationFileDate #filens oprettelsesdato og -tid
        operationStartDate #start på operationen
        
        statistics { #statistisk fordeling for hver jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        navn  
        operationId #hvis findes 
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link til statistik >> attribut
          transliteratedName
          fullName #hvis findes
          unit #hvis findes
        }
      
        createdDate #oprettet dato og -tid i GeoPard
        updatedDate #sidste opdatering dato og -tid i GeoPard
        operationFileDate #filens oprettelsesdato og -tid (hvis findes)
        operationStartDate #start på operationen (hvis findes)
      
        statistics { #statistisk fordeling for hver jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuel repræsentation
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/17.-foresporgsel-hent-soildatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
